MySQL database 4.1 style password

canning_s

Registered
Sep 29, 2013
1
0
1
cPanel Access Level
Website Owner
I am having trouble connecting to a MySQL database that is hosted on cPanel.

This is the error:

Error connecting to the server: Authentication with old password no longer supported, use 4.1 style password
My cPanel version is: 11.32.4 (build 15)

Do I need to update my cPanel such that I can connect to the MySQL database with a new style of password? If not, how can I connect? I am trying to connect from the sample Visual Basic application that comes with the new MySQL install.

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,202
363
Hello :)

You can browse to the "SQL" tab in "WHM Home » Server Configuration » Tweak Settings" and ensure the following option is enabled:

"Use pre-4.1-style MySQL® passwords"

Thank you.